/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package materialorderitem

import (
	e "simrs-vx/internal/domain/main-entities/material-order-item"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.MaterialOrderItem) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.MaterialOrder_Id = inputSrc.MaterialOrder_Id
	data.Material_Code = inputSrc.Material_Code
	data.Count = inputSrc.Count
}
